Bug 296001 - Logwatch is unable to handle e.g. postfix 2.3 mail logs
Logwatch is unable to handle e.g. postfix 2.3 mail logs
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: logwatch (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Depends On:
  Show dependency treegraph
Reported: 2007-09-19 04:59 EDT by Robert Scheck
Modified: 2008-05-21 11:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0303
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 11:59:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
define new log format message (796 bytes, patch)
2007-10-09 02:34 EDT, Andrew Martynov
no flags Details | Diff

  None (edit)
Description Robert Scheck 2007-09-19 04:59:24 EDT
Description of problem:
It looks to me, that logwatch in RHEL5 is very poorly maintained and less QA 
was done. If you run a postfix mailserver with ~ 10000 bis 15000 mails per day 
on RHEL5 and have logwatch installed, the daily logwatch mails are simply big
bullshit. It's similar to "cat /var/log/maillog | mail root". This also applies 
to amavis, pam etc, when failed logins are there etc. etc etc.

Version-Release number of selected component (if applicable):

How reproducible:
Everytime, see above

Actual results:
Logwatch is too old for the software delivered with RHEL5.

Expected results:
Please upgrade logwatch as soon as possible or fix it somehow else.

Additional info:
An update to logwatch-7.3.6-6 worked very well for me and obsoleted all my 
problems, it also didn't introduce any new problems. The only maybe unwanted 
change which could be a regression for RHEL5 is, that mails are no longer sent 
directly by logwatch and the cron mail method is used. But this shouldn't be 
that huge problem (RHEL 5.1 or 5.2 is coming anyway).
Comment 1 Andrew Martynov 2007-10-09 02:34:08 EDT
Created attachment 220731 [details]
define new log format message
Comment 2 Andrew Martynov 2007-10-09 02:35:25 EDT
Comment on attachment 220731 [details]
define new log format message

I found the same behaviour for our mail server.
Simple patch allow logwatch correctly handle most of messages.

Patch include definition of new log format for e-mail messages.
Comment 4 RHEL Product and Program Management 2007-10-26 03:34:37 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 9 errata-xmlrpc 2008-05-21 11:59:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.